apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.26.0 (40646f47)
  creationTimestamp: null
  labels:
    io.kompose.service: onlyoffice-documentserver
  name: onlyoffice-documentserver
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: onlyoffice-documentserver
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.26.0 (40646f47)
      creationTimestamp: null
      labels:
        io.kompose.service: onlyoffice-documentserver
    spec:
      containers:
        - env:
            - name: AMQP_URI
              value: amqp://guest:guest@onlyoffice-rabbitmq
            - name: DB_HOST
              value: onlyoffice-postgresql
            - name: DB_NAME
              value: onlyoffice
            - name: DB_PORT
              value: "5432"
            - name: DB_TYPE
              value: postgres
            - name: DB_USER
              value: onlyoffice
          image: onlyoffice/documentserver
          name: onlyoffice-documentserver
          ports:
            - containerPort: 80
            - containerPort: 443
          resources: {}
          stdin: true
          volumeMounts:
            - mountPath: /var/www/onlyoffice/Data
              name: onlyoffice-documentserver-claim0
            - mountPath: /var/log/onlyoffice
              name: onlyoffice-documentserver-claim1
            - mountPath: /var/lib/onlyoffice/documentserver/App_Data/cache/files
              name: onlyoffice-documentserver-claim2
            - mountPath: /var/www/onlyoffice/documentserver-example/public/files
              name: onlyoffice-documentserver-claim3
            - mountPath: /usr/share/fonts
              name: onlyoffice-documentserver-claim4
      restartPolicy: Always
      terminationGracePeriodSeconds: 60
      volumes:
        - name: onlyoffice-documentserver-claim0
          persistentVolumeClaim:
            claimName: onlyoffice-documentserver-claim0
        - name: onlyoffice-documentserver-claim1
          persistentVolumeClaim:
            claimName: onlyoffice-documentserver-claim1
        - name: onlyoffice-documentserver-claim2
          persistentVolumeClaim:
            claimName: onlyoffice-documentserver-claim2
        - name: onlyoffice-documentserver-claim3
          persistentVolumeClaim:
            claimName: onlyoffice-documentserver-claim3
        - name: onlyoffice-documentserver-claim4
          persistentVolumeClaim:
            claimName: onlyoffice-documentserver-claim4
status: {}
